.input-line {
    border: none;
    border-bottom: 1px solid #ccc;
    border-radius: 0;
    padding-left: 0;
    padding-right: 30px;
    background: transparent;
}

.input-line:focus {
    box-shadow: none;
    border-bottom: 2px solid #1f8db5;
}

.input-wrapper {
    position: relative;
}

.input-wrapper i {
    position: absolute;
    right: 5px;
    top: 50%;
    transform: translateY(-50%);
    color: #999;
}

.stripe-line {
    border-bottom: 1px solid #ccc;
    padding: 8px 0;
    transition: all 0.2s ease;
}

/* Cuando está enfocado */
.stripe-line.StripeElement--focus {
    border-bottom: 2px solid #1f8db5;
}

/* Cuando es inválido */
.stripe-line.StripeElement--invalid {
    border-bottom: 2px solid #dc3545;
}

/* Cuando está completo y válido */
.stripe-line.StripeElement--complete {
    border-bottom: 2px solid #198754; /* verde bootstrap */
}

.card-datos{
    background-color: rgba(1, 119, 9, 0.4);
    border-radius: 30px;
    color: #ffffff !important;
    backdrop-filter: blur(16px);
    border: 1px solid rgba(1, 119, 9, 0.2)!important;
    box-shadow: 0 8px 32px rgba(0, 0, 0, 0.15)!important;
}

.btn-pagar
{
    background-color: #017763;
    color: #fff;
    font-weight: 100;
}